package com.kingdee.eas.custom.projectbonus.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.projectbonus.task.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class ProjectbonusFacade extends AbstractBizCtrl implements IProjectbonusFacade
{
    public ProjectbonusFacade()
    {
        super();
        registerInterface(IProjectbonusFacade.class, this);
    }
    public ProjectbonusFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IProjectbonusFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("12EE1EB9");
    }
    private ProjectbonusFacadeController getController() throws BOSException
    {
        return (ProjectbonusFacadeController)getBizController();
    }
    /**
     *提醒负责人提交分配明细数据-User defined method
     *@param bonusCycleId 奖金周期id
     *@return
     */
    public String noticePrincipal(String bonusCycleId) throws BOSException, EASBizException
    {
        try {
            return getController().noticePrincipal(getContext(), bonusCycleId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}